Bug 1410335 - kickstart: "clearpart --list" does not work
Summary: kickstart: "clearpart --list" does not work
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1551931
TreeView+ depends on / blocked
 
Reported: 2017-01-05 07:49 UTC by Marcel Telka
Modified: 2019-05-28 19:45 UTC (History)
9 users (show)

Fixed In Version: anaconda-28.21-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1551931 1561930 (view as bug list)
Environment:
Last Closed: 2019-05-28 19:45:05 UTC


Attachments (Terms of Use)
anaconda.log (689 bytes, text/plain)
2017-12-23 21:09 UTC, Marcel Telka
no flags Details
program.log (1015 bytes, text/plain)
2017-12-23 21:09 UTC, Marcel Telka
no flags Details
storage.log (251 bytes, text/plain)
2017-12-23 21:10 UTC, Marcel Telka
no flags Details
syslog (326.27 KB, text/plain)
2017-12-23 21:10 UTC, Marcel Telka
no flags Details
Patch with the fix (532 bytes, patch)
2017-12-26 11:58 UTC, Marcel Telka
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1200833 None CLOSED [RFE] Unmatched devices with ignoredisk and clearpart cause kickstart scripts to fail 2019-06-19 20:44:50 UTC

Description Marcel Telka 2017-01-05 07:49:32 UTC
Description of problem:

When I add "clearpart --list=sda1" to the ks file on a machine _with_ existing /dev/sda1 partition, the installer reports that the sda1 device does not exist and the installation stops.

Version-Release number of selected component (if applicable):

anaconda 25.20.8-1 (Fedora 25)

How reproducible:

Always with Fedora 25.
It works properly with Fedora 24.

Steps to Reproduce:
1. Add "clearpart --list=sda1" to a kickstart file
2. Make sure you have /dev/sda1 partition.
3. Try to install using the kickstart file.

Actual results:

Device "sda1" given in clearpart device list does not exist.

Pane in dead

Expected results:

The /dev/sda1 partition is removed and installation proceeds.

Additional info:

Comment 1 Matt McLean 2017-02-04 02:51:46 UTC
I am having the same issue, but with RHEL 7.3 on aarch64.

Comment 2 UoPNorthernTeam 2017-09-07 09:53:31 UTC
Facing the exact same issue but with CentOS 7.3.

Comment 3 Samantha N. Bueno 2017-09-07 10:18:11 UTC
Please try this using F26, and if the issue still persists, attach all logs to this bug as individual, text/plain attachments. They can be found in /tmp/ at install-time.

For those who have this same issue on RHEL/CentOS, please try it against 7.4 first. If the issue still persists, please open a new bug against the appropriate product. You can also reach out to your customer support representative and have them open a bug on your behalf. We track Fedora and RHEL/RHEL-related issues separately.

Comment 4 Fedora End Of Life 2017-11-16 19:31:55 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:14:43 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Marcel Telka 2017-12-23 21:09:10 UTC
Created attachment 1371706 [details]
anaconda.log

Comment 7 Marcel Telka 2017-12-23 21:09:50 UTC
Created attachment 1371707 [details]
program.log

Comment 8 Marcel Telka 2017-12-23 21:10:21 UTC
Created attachment 1371708 [details]
storage.log

Comment 9 Marcel Telka 2017-12-23 21:10:46 UTC
Created attachment 1371709 [details]
syslog

Comment 10 Marcel Telka 2017-12-23 21:11:20 UTC
The problem is still reproducible with recent Rawhide.

Comment 11 Marcel Telka 2017-12-24 08:42:34 UTC
From quick look at the sources I suspect the problem is here in pyanaconda/kickstart.py where disks_only should be probably set to False instead:

        # Do any glob expansion now, since we need to have the real list of
        # devices available before the execute methods run.
        devices = []
        for spec in self.devices:
            matched = device_matches(spec, disks_only=True)
            if matched:
                devices.extend(matched)
            else:
                raise KickstartParseError(formatErrorMsg(self.lineno,
                        msg=_("Device \"%s\" given in clearpart device list does not exist.") % spec))

        self.devices = devices

Comment 12 Marcel Telka 2017-12-26 11:58:09 UTC
Created attachment 1372438 [details]
Patch with the fix

I tested this patch (with CentOS 7.4) and it solved the problem.

Comment 13 Marcel Telka 2018-02-16 07:48:48 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1334

Comment 14 Fedora End Of Life 2018-02-20 15:22:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 15 Ben Cotton 2019-05-02 22:00:13 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 19:45:05 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.